<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.GoodsOrderPaymentMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.GoodsOrderPayment">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="goods_order_id_" property="goodsOrderId" />
        <result column="payment_channel_" property="paymentChannel" />
        <result column="payment_business_channel_" property="paymentBusinessChannel" />
        <result column="payment_account_no_" property="paymentAccountNo" />
        <result column="amount_" property="amount" />
        <result column="trans_no_" property="transNo" />
        <result column="order_no_" property="orderNo" />
        <result column="pay_status_" property="payStatus" />
        <result column="arrival_time_" property="arrivalTime" />
        <result column="remark_" property="remark" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, goods_order_id_, payment_channel_, payment_business_channel_, payment_account_no_, amount_, trans_no_, order_no_, pay_status_, arrival_time_, remark_, create_time_, update_time_
    </sql>

</mapper>
